Update a connection
curl --request POST \
--url https://api-sb.meld.io/bank-linking/connections/{connectionId}/update \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"products": []
}'import requests
url = "https://api-sb.meld.io/bank-linking/connections/{connectionId}/update"
payload = { "products": [] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({products: []})
};
fetch('https://api-sb.meld.io/bank-linking/connections/{connectionId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>"
}{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}Connections
Update a connection
Update a connection and its products. Adds new products retroactively to an existing connection and triggers a refresh with this updated set of products. The products provided must not already be present on the connection and be supported by the underlying service provider and institution in order to be successful.
POST
/
bank-linking
/
connections
/
{connectionId}
/
update
Update a connection
Authorizations
Path Parameters
Connection id
Body
application/json
List of products to add retroactively to the connection.
Minimum array length:
1Available options:
BALANCES, IDENTIFIERS, INVESTMENT_HOLDINGS, INVESTMENT_TRANSACTIONS, OWNERS, TRANSACTIONS Response
Request for adding products to connection has been accepted
The id of this request
⌘I